package com.link.base.logs.service;

import com.link.base.logs.dao.mybatis.mapper.HttpLogMapper;
import com.link.base.logs.model.HttpLog;
import com.link.core.basic.dao.mapper.BasicMapper;
import com.link.core.basic.service.BasicServiceException;
import com.link.core.basic.service.BasicServiceImpl;
import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class HttpLogServiceImpl extends BasicServiceImpl<HttpLog> implements HttpLogService {
   @Resource
   private HttpLogMapper httpLogMapper;

   public BasicMapper<HttpLog> getBasicMapper() {
      return this.httpLogMapper;
   }

   @Transactional(
      rollbackFor = {BasicServiceException.class}
   )
   public void batchInsert(List<HttpLog> list) throws Exception {
      for(int i = 0; list != null && i < list.size(); ++i) {
         this.insertLog((HttpLog)list.get(i));
      }

   }

   private void insertLog(HttpLog httpLog) {
      this.httpLogMapper.insertLog(httpLog);
   }
}
